Bug 894597 - Review Request: coin-or-Cbc - Coin-or branch and cut
Summary: Review Request: coin-or-Cbc - Coin-or branch and cut
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 894585 894586 894587 894588
Blocks: 894599 894602 894603 894605 894606 894609
TreeView+ depends on / blocked
 
Reported: 2013-01-12 15:03 UTC by Paulo Andrade
Modified: 2014-04-15 15:54 UTC (History)
1 user (show)

Fixed In Version: coin-or-Cgl-0.58.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-15 15:54:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Comment (191.68 KB, text/plain)
2014-03-28 18:09 UTC, Antonio Trande
no flags Details

Description Paulo Andrade 2013-01-12 15:03:30 UTC
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc-2.7.7-3.fc19.src.rpm
Description: Cbc (Coin-or branch and cut) is an open-source mixed integer programming
solver written in C++. It can be used as a callable library or using a
stand-alone executable. It can be called through AMPL (natively), GAMS
(using the links provided by the "Optimization Services" and "GAMSlinks"
projects), MPL (through the "CoinMP" project), AIMMS (through the "AIMMSlinks"
project), or "PuLP".

Cbc links to a number of other COIN projects for additional functionality,
including:

   * Clp (the default solver for LP relaxations)
   * Cgl (for cut generation)
   * CoinUtils (for reading input files and various utilities)
Fedora Account System Username: pcpa

Comment 1 Paulo Andrade 2013-01-12 15:04:54 UTC
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.

Comment 2 Paulo Andrade 2013-01-14 21:56:13 UTC
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc-2.7.8-4.fc19.src.rpm

Comment 3 Paulo Andrade 2013-11-01 21:12:14 UTC
This also includes packaging corrections added to other
coin-or modules. 

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc-2.8.5-1.fc21.src.rpm

Comment 4 Paulo Andrade 2014-03-28 16:42:47 UTC
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Cbc-2.8.9-1.fc21.src.rpm

Comment 5 Antonio Trande 2014-03-28 18:09:05 UTC
Created attachment 915878 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 6 Paulo Andrade 2014-03-28 19:05:45 UTC
New Package SCM Request
=======================
Package Name: coin-or-Cbc
Short Description: Coin-or branch and cut
Owners: pcpa
Branches: f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-03-28 19:11:08 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-04-04 23:48:06 UTC
coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20

Comment 9 Fedora Update System 2014-04-06 02:33:40 UTC
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-04-15 15:54:36 UTC
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.